Description

Supportanfrage

Kann man bei beim "create Description File" in recorder  einen ddl File mit Links zu den verschiedenen can/Flexray dbc generieren?

Der Recorder nimmt Cans/Flexray streams.

Lösung

Das eine hat mit dem andern nichts zu tun.

Die DDL beschreibt den Streamtype (CAN/Flexray), Datenbasen (DBC/FIBEX) sind für den Parser relevant.

Ein Mapping gibt es hierzu nicht.

Bezieht sich deine Anfrage darauf, dass du im Nachhinein wissen möchtest, mit welcher Datenbank File dein Stream aufgezeichnet

wurde ?

Das geht so nicht in ADTF 2.x, und DDL wäre defintiv der falsche Ansatz.

Du kannst du Files als Extended Data mit ins DAT File schreiben.

Oder manuell in einer Extension vermerken.

In ADTF 3.x bzw. Device Toolbox 3.x wird das als Property im Stream Meta Type vermerkt.

History

#1 - 2019-02-22 09:42 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Recorder

#2 - 2019-02-22 09:45 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Cedric,

das eine hat mit dem andern nichts zu tun.

Die DDL beschreibt den Streamtype (CAN/Flexray), Datenbasen (DBC/FIBEX) sind für den Parser relevant.

Ein Mapping gibt es hierzu nicht.

Bezieht sich deine Anfrage darauf, dass du im Nachhinein wissen möchtest, mit welcher Datenbank File dein Stream aufgezeichnet wurde ?

Das geht so nicht in ADTF 2.x, und DDL wäre defintiv der falsche Ansatz.

Du kannst du Files als Extended Data mit ins DAT File schreiben.

Oder manuell in einer Extension vermerken.

In ADTF 3.x bzw. Device Toolbox 3.x wird das als Property im Stream Meta Type vermerkt.
#3 - 2019-02-22 10:16 - hidden

Hallo Florian,

danke für die Antwort.

Die Frage ist beantwortet "Du kannst du Files als Extended Data mit ins DAT File schreiben. +  DDL wäre defintiv der falsche Ansatz"

Ticket kann geschlossen werden.

Danke,

Grüße

#4 - 2019-02-26 08:24 - hidden

- Project changed from 11 to Public Support

- Subject changed from ddl generierung Recorder ADTF2 - datenbasen to How to store information about used database file of bus stream ?

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#5 - 2019-03-08 13:36 - hidden

- Status changed from To Be Closed to Closed
